@use "colors";

:root {
  --tamaro-text-color: #{colors.$content-black};
  --tamaro-label-color: #{colors.$gray};
  --tamaro-label-checkable-color: #{colors.$content-black};
  --tamaro-block-header-position-bg-color: #{colors.$dark-gray};
  --tamaro-block-header-position-color: #{colors.$content-white};
  --tamaro-link-color: #{colors.$gray};
  --tamaro-checkable-color: #{colors.$gray};
  --tamaro-checkable-color__checked: #{colors.$gray};
  --tamaro-bg-color: #{colors.$content-white};
  --tamaro-bg-color__hover: #{colors.$ultra-light-gray};
  --tamaro-input-bg-color: #{colors.$ultra-light-gray};

  // Sets the color for labels and underlines if an error appears
  --tamaro-error-color: #{colors.$orange};

  // Colors for default buttons, for instance the cancel button in the recurring dropdown.
  --tamaro-button-color: #{colors.$content-black};
  --tamaro-button-color__hover: #{colors.$content-black};
  --tamaro-button-bg-color: #{colors.$ultra-light-gray};
  --tamaro-button-bg-color__hover: #{colors.$light-gray};
  --tamaro-button-border-color: #{colors.$ultra-light-gray};
  --tamaro-button-border-color__hover: #{colors.$light-gray};

  // Colors for primary buttons, for instance the submit button.
  --tamaro-button-primary-color: #{colors.$content-white};
  --tamaro-button-primary-color__hover: #{colors.$content-white};
  --tamaro-button-primary-bg-color: #{colors.$dark-gray};
  --tamaro-button-primary-bg-color__hover: #{colors.$content-black};
  --tamaro-button-primary-border-color: #{colors.$dark-gray};
  --tamaro-button-primary-border-color__hover: #{colors.$content-black};
}

.raise-now-donation-widget {
  text-align: center;

  .markdown {
    width: 80%;
    margin: 0 auto;
  }

  .rnw-widget-container {
    padding-top: 1rem;
    box-sizing: border-box;
    max-width: 37.5rem;
    margin: 0 auto;
  }
}

#tamaro-widget-overlay.tamaro-widget.tamaro-widget,
#tamaro-widget.tamaro-widget.tamaro-widget {
  font-family: inherit !important;
}